org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible

## Interface Query

All Known Subinterfaces:
  EObjectLiteralQuery, ETypedElementSwitchQuery, FalseLiteralQuery, FloatLiteralQuery, IntegerLiteralQuery, IsOneOfQuery, JavaQuery, NavigationQuery, NullLiteralQuery, OclQuery, OperationCallQuery, StringLiteralQuery, TrueLiteralQuery, URIImageQuery

    public interface Query

A representation of the model object 'Query'. Query is the abstract representation of the concept of query. This class has to be sub-classed for each existing query language (Java, OCL, etc.)

The following features are supported:

- `Can Have Side Effects`
- `Can Be Cached`

See Also:
  `ExtensiblePackage.getQuery()`
Generated:
Model:
  abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isCanBeCached()` Returns the value of the 'Can Be Cached' attribute.
`boolean` `isCanHaveSideEffects()` Returns the value of the 'Can Have Side Effects' attribute.
`void` `setCanBeCached(boolean value)` Sets the value of the '`Can Be Cached`' attribute.
`void` `setCanHaveSideEffects(boolean value)` Sets the value of the '`Can Have Side Effects`' attribute.

### Method Detail

#### isCanHaveSideEffects

    boolean isCanHaveSideEffects()

Returns the value of the 'Can Have Side Effects' attribute.

If the meaning of the 'Can Have Side Effects' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Can Have Side Effects' attribute.
See Also:
  `setCanHaveSideEffects(boolean)`, `ExtensiblePackage.getQuery_CanHaveSideEffects()`
Generated:
Model:

#### setCanHaveSideEffects

    void setCanHaveSideEffects(boolean value)

Sets the value of the '`Can Have Side Effects`' attribute.

Parameters:
  `value` - the new value of the 'Can Have Side Effects' attribute.
See Also:
  `isCanHaveSideEffects()`
Generated:

#### isCanBeCached

    boolean isCanBeCached()

Returns the value of the 'Can Be Cached' attribute.

If the meaning of the 'Can Be Cached' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Can Be Cached' attribute.
See Also:
  `setCanBeCached(boolean)`, `ExtensiblePackage.getQuery_CanBeCached()`
Generated:
Model:

#### setCanBeCached

    void setCanBeCached(boolean value)

Sets the value of the '`Can Be Cached`' attribute.

Parameters:
  `value` - the new value of the 'Can Be Cached' attribute.
See Also:
  `isCanBeCached()`
Generated: